<div *ngIf="upc">
    <table>
        <thead>
            <tr>
                <th>Package/Pallet</th>
                <th>UPC</th>
                <th>UPC Description</th>
                <th>Quantity</th>
                <th>Oldest Inventory for orders ?</th>
                <th>Pick</th>
                <th>Device Id</th>
            </tr>
        </thead>
        <tbody *ngFor="let row of tableData">
            <tr>
                <td>{{row.package_name}}</td>
                <td>{{row.item}}</td>
                <td>{{row.prodName}}</td>
                <td>{{row.quantity}}</td>
                <td>
                    <a (click)="findOldestInventory(row.item)">
                        Find old Inventory
                    </a>
                </td>
                <td>{{row.serial_number}}</td>
                <td>
                    <input type="text" value="a" [(ngModel)]="row.device_id" #deviceModel="ngModel">
                    <img src="../../../../../assets/edit-regular.svg" (click)="submitUpdateDeviceIdForm(row.package_uid, row.serial_number, row.device_id)">
                </td>
            </tr>
        </tbody>
    </table>
</div>